Bug 866567 - CVE-2012-4522 ruby: unintentional file creation caused by inserting an illegal NUL character [fedora-all]
CVE-2012-4522 ruby: unintentional file creation caused by inserting an illega...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-4522
  Show dependency treegraph
 
Reported: 2012-10-15 11:57 EDT by Vincent Danen
Modified: 2012-10-24 11:27 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-24 11:27:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-10-15 11:57:47 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2012-10-15 11:58:06 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=865940,866567
Comment 2 Mamoru TASAKA 2012-10-15 20:24:13 EDT
F-18 F-17: already in queue

F-16 seems unaffected (I cannot reproduce this). Can someone confirm this?
Comment 3 Vít Ondruch 2012-10-16 06:34:08 EDT
I cannot reproduce with F16, so F16 should be OK.
Comment 4 Vít Ondruch 2012-10-16 06:36:09 EDT
@Mamoru: Could you please reference this bug in Bodhi updates? Thank you.
Comment 5 Mamoru TASAKA 2012-10-16 07:33:14 EDT
(In reply to comment #4)
> @Mamoru: Could you please reference this bug in Bodhi updates? Thank you.

I don't want to edit bodhi requests which were already pushed into testing, because bodhi shows warnings like "Adding or removing builds from this update will move it back to a pending state" (this does not say about only editing comments, however I am not sure if editing comments only is really safe).
Comment 6 Vít Ondruch 2012-10-16 07:49:44 EDT
(In reply to comment #5)
OK, np ... so may be this should move into MODIFIED state at least.
Comment 7 Huzaifa S. Sidhpurwala 2012-10-19 03:38:04 EDT
This issue did not affect the version of ruby as shipped with Fedora-16.

This issue was fixed in Fedora-17, via the following security advisory:

https://admin.fedoraproject.org/updates/FEDORA-2012-16086/ruby-1.9.3.286-18.fc17
Comment 8 Mamoru TASAKA 2012-10-24 11:27:24 EDT
Fixed on F-18, 17 (not affected on F-16), closing.

Note You need to log in before you can comment on or make changes to this bug.